%global gitcommit 49d2c15

Summary:    CAENRFID APD
Name:       libcaenrfid
Version:    0.91.0
Release:    1.git%{gitcommit}%{?dist}
License:    LGPLv2
Group:      Development/Libraries
URL:        http://support.caenrfid.it

# The source of this package was pulled from the upstream git repo (restricted access).
# To get access to the upstream repo, 
#  read http://support.caenrfid.it/wiki/index.php/Get_access_to_our_source_code
# Use the following commands to generate the tarball:
#  git clone http://support.caenrfid.it/module/libcaenrfid
#  git checkout 49d2c15
#  tar cvzf libcaenrfid-49d2c15.tar.gz libcaenrfid
Source0:    %{name}-%{gitcommit}.tar.gz

# The autotool is using debian command 
Patch0:     libcaenrfid_correct_version_number.patch

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: libavp


%description
Caenrfid library embedding the caenrfid client API.

%package    devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}

%patch0 -p1 -b configure.ac.bk

%build
#FIXMEE 
%configure --libdir=/%{_libdir} \
           --docdir=%{_docdir}/%{name}-%{version} \
	   --with-gnu-ld ac_cv_func_malloc_0_nonnull=yes ac_cv_func_realloc_0_nonnull=yes

make %{?_smp_mflags}


%install
mkdir -p %{buildroot}{%{_libdir},%{_includedir}}

make DESTDIR=%{buildroot} install


%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig


%files
%{_libdir}/libcaenrfid.so.*
%exclude %{_libdir}/libcaenrfid.a
%exclude %{_libdir}/libcaenrfid.la

%files devel
%{_includedir}/caenrfid.h
%{_includedir}/caenrfid_old.h
%{_libdir}/libcaenrfid.so


%changelog
* Fri Feb 03 2012 Kévin Raymond <shaiton@fedoraproject.org> 0.91.0-1.git49d2c15
- packaged
